{
  "attestations" : [ ],
  "calculationStatus" : "CALCULATING",
  "computationState" : {
    "calculateFor" : "5",
    "computationOutput" : {
      "engines" : 0,
      "outputInformation" : [ ],
      "variables" : [ {
        "bitLength" : 32,
        "information" : {
          "data" : "AAAAAAAAAAA="
        },
        "variableId" : 1
      } ]
    },
    "confirmedInputs" : 0,
    "multiplicationCount" : 100,
    "offsetIntoFirstTripleBatch" : 0,
    "onComputeCompleteShortname" : {
      "data" : "cA=="
    },
    "openState" : {
      "avlTrees" : [ ],
      "computationInput" : {
        "calledFunctionArguments" : [ ],
        "calledFunctionShortname" : 0
      },
      "openState" : {
        "data" : "AQAAAAAAAAA="
      }
    },
    "optimisticMode" : true,
    "tripleBatches" : [ 1 ],
    "variables" : [ ]
  },
  "defaultOptimisticMode" : true,
  "engines" : {
    "engines" : [ {
      "identity" : "000000000000000000000000000000000000000022",
      "publicKey" : "A0IfX8miEGVEXJb9uRwMHi8kMXQccnE7S5ndyzFvMen8",
      "restInterface" : "https://zk.com"
    }, {
      "identity" : "000000000000000000000000000000000000000023",
      "publicKey" : "Ay+iEE1rONEbAjABBVmHkSTkKrjf7/X/Kdyc2t1Oysw/",
      "restInterface" : "https://zk.com"
    }, {
      "identity" : "000000000000000000000000000000000000000024",
      "publicKey" : "A/5yxDVBPTPUisCckWG6iwloMhVDnWK3lAUCvaiyAubO",
      "restInterface" : "https://zk.com"
    }, {
      "identity" : "000000000000000000000000000000000000000025",
      "publicKey" : "ApJIJ5sJtNaNqyGpsGbt2oMmPD2E4JVy4mnKDNf1RTcU",
      "restInterface" : "https://zk.com"
    } ]
  },
  "externalEvents" : {
    "confirmedEvents" : [ ],
    "nextEventId" : 1,
    "nextSubscriptionId" : 1,
    "subscriptions" : [ ]
  },
  "finishedComputations" : [ ],
  "nextAttestationId" : 1,
  "nextVariableId" : 2,
  "nodeRegistryContract" : "01a000000000000000000000000000000000000999",
  "openState" : {
    "avlTrees" : [ ],
    "computationInput" : {
      "calledFunctionArguments" : [ ],
      "calledFunctionShortname" : 0
    },
    "openState" : {
      "data" : "AQAAAAAAAAA="
    }
  },
  "pendingInput" : [ ],
  "pendingOnChainOpen" : [ ],
  "preProcessMaterials" : [ {
    "key" : "BINARY_TRIPLE",
    "value" : {
      "batchIds" : [ 1, 3 ],
      "numElementsToPrefetch" : 0,
      "numRequestedBatches" : 2,
      "numUsedElements" : "100"
    }
  } ],
  "preprocessContract" : "01a000000000000000000000000000000000000888",
  "variables" : [ ],
  "zkComputationDeadline" : "1658966400000"
}